<template>
  <div class="topbar shadow-lg">
    <b-navbar toggleable="lg" type="dark" variant="info">
      <b-navbar-brand href="#">
        <img src="~/assets/images/logo.png" width="24" height="24" />
      </b-navbar-brand>
      <b-navbar-toggle target="nav-collapse"></b-navbar-toggle>
      <b-collapse id="nav-collapse" is-nav>
        <b-navbar-nav>
          <b-nav-item
            class="font-weight-bold"
            v-for="(nav, index) in navs"
            :key="index"
            :class="{ 'active': index == currentNavIndex }"
            :to="{ name: nav.route }"
          >{{ nav.name }}</b-nav-item>
        </b-navbar-nav>
        <!-- Right aligned nav items -->
        <b-navbar-nav class="ml-auto">
          <b-nav-form>
            <b-form-input size="sm" class="mr-sm-2" placeholder="Search in DSVN"></b-form-input>
            <b-button size="sm" class="my-2 my-sm-0" type="submit">Search</b-button>
          </b-nav-form>
          <b-nav-item-dropdown right>
            <!-- Using 'button-content' slot -->
            <template v-slot:button-content>
              <img src="~/assets/images/avatar.png" width="24" height="24" />
            </template>
            <b-dropdown-item :to="{name: 'm.profile.index'}">Profile</b-dropdown-item>
            <b-dropdown-item href="#">Sign Out</b-dropdown-item>
          </b-nav-item-dropdown>
        </b-navbar-nav>
      </b-collapse>
    </b-navbar>
  </div>
</template>

<script>
export default {
  name: 'LayoutTopbar',
  data() {
    return {
      navs: [
        {
          name: "Home",
          route: "index"
        },
        {
          name: "Todo",
          route: 'todo'
        }
      ]
    };
  },
  computed: {
    currentNavIndex() {
      let route = this.$route.name.split('.')
      let routeName = [route[0], route[1]].join('.')
      return this.navs.findIndex(x => x.route.includes(routeName))
    },
  }
};
</script>